PDA

View Full Version : Quake4 on Fedora 7 _64 working?



gres
1st July 2007, 09:08 AM
I have installed Doom 3 and it's working better than in Windows. The installation of Quake 4 is similar to Doom 3 so I don't think I made a mistake somewhere but when I code quke4 in terminal it shows : "./quake4.x86: error while loading shared libraries: libSDL-1.2.so.0: cannot open shared object file: No such file or directory".
I have SDL installed on my machine it is 64 version of SDL. Does anybody run Quake 4 on F7? What should I do ?

a_small_cake
1st July 2007, 09:53 AM
I think you should also install 32bit version of this package because Quake is 32bit application and it needs 32bit library.

gres
1st July 2007, 04:01 PM
I tried to install 32bit library and see this message : "A newer version than /home/gres/Download/SDL-1.2.9-5.2.1.i386.rpm is already installed". And newer version is 64bit version.
Is there solution?

a_small_cake
1st July 2007, 04:25 PM
Yum has nice feature, which helps you to find library you need. When you type as root or user
yum whatprovides libSDL-1.2.so.0 you should get
SDL.i386 1.2.11-2 fedora so install SDL.i386
yum install SDL.i386.

gres
1st July 2007, 04:43 PM
Thank a lot! It is miracle, it's working :-)